Qt Cryptographic Architecture: QCA::CertBase Class Reference

# QCA::CertBase Class Reference
[QCA provider API]

X.509 certificate and certificate request provider base. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::CertBase:

Collaboration diagram for QCA::CertBase:

[legend]

List of all members.

## Public Member Functions
| CertBase (Provider *p, const QString &type)
virtual ConvertResult | fromDER (const QByteArray &a)=0
virtual ConvertResult | fromPEM (const QString &s)=0
virtual QByteArray | toDER () const =0
virtual QString | toPEM () const =0

## Detailed Description

X.509 certificate and certificate request provider base.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want Certificate, CertificateRequest, or CRL instead.

## Constructor & Destructor Documentation

QCA::CertBase::CertBase | ( | Provider * | p,
|  | const QString & | type |
| ) |  |  | `[inline]`

Standard constructor.

Parameters:

  | p | the provider associated with this context
  | type | the type of certificate-like object provided by this context

## Member Function Documentation

virtual ConvertResult QCA::CertBase::fromDER | ( | const QByteArray & | a | ) | `[pure virtual]`

Read DER-formatted input and convert it into this object.

Returns QCA::ConvertGood if successful, otherwise some error value.

Parameters:

  | a | the input data

virtual ConvertResult QCA::CertBase::fromPEM | ( | const QString & | s | ) | `[pure virtual]`

Read PEM-formatted input and convert it into this object.

Returns QCA::ConvertGood if successful, otherwise some error value.

Parameters:

  | s | the input data

virtual QByteArray QCA::CertBase::toDER | ( |  | ) | const`[pure virtual]`

Convert this object to DER format, and return the value.

Returns an empty array on error.

virtual QString QCA::CertBase::toPEM | ( |  | ) | const`[pure virtual]`

Convert this object to PEM format, and return the value.

Returns an empty string on error.

The documentation for this class was generated from the following file:

- qcaprovider.h